"Fossies" - the Fresh Open Source Software Archive

Member "sshpass-1.09/Makefile.in" (29 Jan 2021, 27035 Bytes) of package /linux/privat/sshpass-1.09.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the last Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.06_vs_1.07.

    1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 bin_PROGRAMS = sshpass$(EXEEXT)
   90 subdir = .
   91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   92 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   93 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   94 	$(ACLOCAL_M4)
   95 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
   96 	$(am__configure_deps) $(am__DIST_COMMON)
   97 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   98  configure.lineno config.status.lineno
   99 mkinstalldirs = $(install_sh) -d
  100 CONFIG_HEADER = config.h
  101 CONFIG_CLEAN_FILES =
  102 CONFIG_CLEAN_VPATH_FILES =
  103 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
  104 PROGRAMS = $(bin_PROGRAMS)
  105 am_sshpass_OBJECTS = main.$(OBJEXT)
  106 sshpass_OBJECTS = $(am_sshpass_OBJECTS)
  107 sshpass_LDADD = $(LDADD)
  108 AM_V_P = $(am__v_P_@AM_V@)
  109 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  110 am__v_P_0 = false
  111 am__v_P_1 = :
  112 AM_V_GEN = $(am__v_GEN_@AM_V@)
  113 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  114 am__v_GEN_0 = @echo "  GEN     " $@;
  115 am__v_GEN_1 = 
  116 AM_V_at = $(am__v_at_@AM_V@)
  117 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  118 am__v_at_0 = @
  119 am__v_at_1 = 
  120 DEFAULT_INCLUDES = -I.@am__isrc@
  121 depcomp = $(SHELL) $(top_srcdir)/depcomp
  122 am__depfiles_maybe = depfiles
  123 am__mv = mv -f
  124 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  125 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  126 AM_V_CC = $(am__v_CC_@AM_V@)
  127 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  128 am__v_CC_0 = @echo "  CC      " $@;
  129 am__v_CC_1 = 
  130 CCLD = $(CC)
  131 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  132 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  133 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  134 am__v_CCLD_0 = @echo "  CCLD    " $@;
  135 am__v_CCLD_1 = 
  136 SOURCES = $(sshpass_SOURCES)
  137 DIST_SOURCES = $(sshpass_SOURCES)
  138 am__can_run_installinfo = \
  139   case $$AM_UPDATE_INFO_DIR in \
  140     n|no|NO) false;; \
  141     *) (install-info --version) >/dev/null 2>&1;; \
  142   esac
  143 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  144 am__vpath_adj = case $$p in \
  145     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  146     *) f=$$p;; \
  147   esac;
  148 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  149 am__install_max = 40
  150 am__nobase_strip_setup = \
  151   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  152 am__nobase_strip = \
  153   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  154 am__nobase_list = $(am__nobase_strip_setup); \
  155   for p in $$list; do echo "$$p $$p"; done | \
  156   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  157   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  158     if (++n[$$2] == $(am__install_max)) \
  159       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  160     END { for (dir in files) print dir, files[dir] }'
  161 am__base_list = \
  162   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  163   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  164 am__uninstall_files_from_dir = { \
  165   test -z "$$files" \
  166     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  167     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  168          $(am__cd) "$$dir" && rm -f $$files; }; \
  169   }
  170 man1dir = $(mandir)/man1
  171 NROFF = nroff
  172 MANS = $(man_MANS)
  173 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  174 	$(LISP)config.h.in
  175 # Read a list of newline-separated strings from the standard input,
  176 # and print each of them once, without duplicates.  Input order is
  177 # *not* preserved.
  178 am__uniquify_input = $(AWK) '\
  179   BEGIN { nonempty = 0; } \
  180   { items[$$0] = 1; nonempty = 1; } \
  181   END { if (nonempty) { for (i in items) print i; }; } \
  182 '
  183 # Make sure the list of sources is unique.  This is necessary because,
  184 # e.g., the same source file might be shared among _SOURCES variables
  185 # for different programs/libraries.
  186 am__define_uniq_tagged_files = \
  187   list='$(am__tagged_files)'; \
  188   unique=`for i in $$list; do \
  189     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  190   done | $(am__uniquify_input)`
  191 ETAGS = etags
  192 CTAGS = ctags
  193 CSCOPE = cscope
  194 AM_RECURSIVE_TARGETS = cscope
  195 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  196 	COPYING ChangeLog INSTALL NEWS README compile depcomp \
  197 	install-sh missing
  198 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  199 distdir = $(PACKAGE)-$(VERSION)
  200 top_distdir = $(distdir)
  201 am__remove_distdir = \
  202   if test -d "$(distdir)"; then \
  203     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  204       && rm -rf "$(distdir)" \
  205       || { sleep 5 && rm -rf "$(distdir)"; }; \
  206   else :; fi
  207 am__post_remove_distdir = $(am__remove_distdir)
  208 DIST_ARCHIVES = $(distdir).tar.gz
  209 GZIP_ENV = --best
  210 DIST_TARGETS = dist-gzip
  211 distuninstallcheck_listfiles = find . -type f -print
  212 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  213   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  214 distcleancheck_listfiles = find . -type f -print
  215 ACLOCAL = @ACLOCAL@
  216 AMTAR = @AMTAR@
  217 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  218 AUTOCONF = @AUTOCONF@
  219 AUTOHEADER = @AUTOHEADER@
  220 AUTOMAKE = @AUTOMAKE@
  221 AWK = @AWK@
  222 CC = @CC@
  223 CCDEPMODE = @CCDEPMODE@
  224 CFLAGS = @CFLAGS@
  225 CPP = @CPP@
  226 CPPFLAGS = @CPPFLAGS@
  227 CYGPATH_W = @CYGPATH_W@
  228 DEFS = @DEFS@
  229 DEPDIR = @DEPDIR@
  230 ECHO_C = @ECHO_C@
  231 ECHO_N = @ECHO_N@
  232 ECHO_T = @ECHO_T@
  233 EGREP = @EGREP@
  234 EXEEXT = @EXEEXT@
  235 GREP = @GREP@
  236 INSTALL = @INSTALL@
  237 INSTALL_DATA = @INSTALL_DATA@
  238 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  239 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  240 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  241 LDFLAGS = @LDFLAGS@
  242 LIBOBJS = @LIBOBJS@
  243 LIBS = @LIBS@
  244 LTLIBOBJS = @LTLIBOBJS@
  245 MAKEINFO = @MAKEINFO@
  246 MKDIR_P = @MKDIR_P@
  247 OBJEXT = @OBJEXT@
  248 PACKAGE = @PACKAGE_NAME@
  249 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  250 PACKAGE_NAME = @PACKAGE_NAME@
  251 PACKAGE_STRING = @PACKAGE_STRING@
  252 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  253 PACKAGE_URL = @PACKAGE_URL@
  254 PACKAGE_VERSION = @PACKAGE_VERSION@
  255 PATH_SEPARATOR = @PATH_SEPARATOR@
  256 SET_MAKE = @SET_MAKE@
  257 SHELL = @SHELL@
  258 STRIP = @STRIP@
  259 VERSION = @PACKAGE_VERSION@
  260 abs_builddir = @abs_builddir@
  261 abs_srcdir = @abs_srcdir@
  262 abs_top_builddir = @abs_top_builddir@
  263 abs_top_srcdir = @abs_top_srcdir@
  264 ac_ct_CC = @ac_ct_CC@
  265 am__include = @am__include@
  266 am__leading_dot = @am__leading_dot@
  267 am__quote = @am__quote@
  268 am__tar = @am__tar@
  269 am__untar = @am__untar@
  270 bindir = @bindir@
  271 build_alias = @build_alias@
  272 builddir = @builddir@
  273 datadir = @datadir@
  274 datarootdir = @datarootdir@
  275 docdir = @docdir@
  276 dvidir = @dvidir@
  277 exec_prefix = @exec_prefix@
  278 host_alias = @host_alias@
  279 htmldir = @htmldir@
  280 includedir = @includedir@
  281 infodir = @infodir@
  282 install_sh = @install_sh@
  283 libdir = @libdir@
  284 libexecdir = @libexecdir@
  285 localedir = @localedir@
  286 localstatedir = @localstatedir@
  287 mandir = @mandir@
  288 mkdir_p = @mkdir_p@
  289 oldincludedir = @oldincludedir@
  290 pdfdir = @pdfdir@
  291 prefix = @prefix@
  292 program_transform_name = @program_transform_name@
  293 psdir = @psdir@
  294 runstatedir = @runstatedir@
  295 sbindir = @sbindir@
  296 sharedstatedir = @sharedstatedir@
  297 srcdir = @srcdir@
  298 sysconfdir = @sysconfdir@
  299 target_alias = @target_alias@
  300 top_build_prefix = @top_build_prefix@
  301 top_builddir = @top_builddir@
  302 top_srcdir = @top_srcdir@
  303 man_MANS = sshpass.1
  304 EXTRA_DIST = $(man_MANS)
  305 sshpass_SOURCES = main.c
  306 all: config.h
  307 	$(MAKE) $(AM_MAKEFLAGS) all-am
  308 
  309 .SUFFIXES:
  310 .SUFFIXES: .c .o .obj
  311 am--refresh: Makefile
  312 	@:
  313 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  314 	@for dep in $?; do \
  315 	  case '$(am__configure_deps)' in \
  316 	    *$$dep*) \
  317 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  318 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  319 		&& exit 0; \
  320 	      exit 1;; \
  321 	  esac; \
  322 	done; \
  323 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  324 	$(am__cd) $(top_srcdir) && \
  325 	  $(AUTOMAKE) --gnu Makefile
  326 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  327 	@case '$?' in \
  328 	  *config.status*) \
  329 	    echo ' $(SHELL) ./config.status'; \
  330 	    $(SHELL) ./config.status;; \
  331 	  *) \
  332 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  333 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  334 	esac;
  335 
  336 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  337 	$(SHELL) ./config.status --recheck
  338 
  339 $(top_srcdir)/configure:  $(am__configure_deps)
  340 	$(am__cd) $(srcdir) && $(AUTOCONF)
  341 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  342 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  343 $(am__aclocal_m4_deps):
  344 
  345 config.h: stamp-h1
  346 	@test -f $@ || rm -f stamp-h1
  347 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  348 
  349 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  350 	@rm -f stamp-h1
  351 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  352 $(srcdir)/config.h.in:  $(am__configure_deps) 
  353 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  354 	rm -f stamp-h1
  355 	touch $@
  356 
  357 distclean-hdr:
  358 	-rm -f config.h stamp-h1
  359 install-binPROGRAMS: $(bin_PROGRAMS)
  360 	@$(NORMAL_INSTALL)
  361 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  362 	if test -n "$$list"; then \
  363 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  364 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  365 	fi; \
  366 	for p in $$list; do echo "$$p $$p"; done | \
  367 	sed 's/$(EXEEXT)$$//' | \
  368 	while read p p1; do if test -f $$p \
  369 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  370 	done | \
  371 	sed -e 'p;s,.*/,,;n;h' \
  372 	    -e 's|.*|.|' \
  373 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  374 	sed 'N;N;N;s,\n, ,g' | \
  375 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  376 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  377 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  378 	    else { print "f", $$3 "/" $$4, $$1; } } \
  379 	  END { for (d in files) print "f", d, files[d] }' | \
  380 	while read type dir files; do \
  381 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  382 	    test -z "$$files" || { \
  383 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  384 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  385 	    } \
  386 	; done
  387 
  388 uninstall-binPROGRAMS:
  389 	@$(NORMAL_UNINSTALL)
  390 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  391 	files=`for p in $$list; do echo "$$p"; done | \
  392 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  393 	      -e 's/$$/$(EXEEXT)/' \
  394 	`; \
  395 	test -n "$$list" || exit 0; \
  396 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  397 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  398 
  399 clean-binPROGRAMS:
  400 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  401 
  402 sshpass$(EXEEXT): $(sshpass_OBJECTS) $(sshpass_DEPENDENCIES) $(EXTRA_sshpass_DEPENDENCIES) 
  403 	@rm -f sshpass$(EXEEXT)
  404 	$(AM_V_CCLD)$(LINK) $(sshpass_OBJECTS) $(sshpass_LDADD) $(LIBS)
  405 
  406 mostlyclean-compile:
  407 	-rm -f *.$(OBJEXT)
  408 
  409 distclean-compile:
  410 	-rm -f *.tab.c
  411 
  412 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
  413 
  414 .c.o:
  415 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  416 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  417 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  418 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  419 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  420 
  421 .c.obj:
  422 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  423 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  424 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  425 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  426 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  427 install-man1: $(man_MANS)
  428 	@$(NORMAL_INSTALL)
  429 	@list1=''; \
  430 	list2='$(man_MANS)'; \
  431 	test -n "$(man1dir)" \
  432 	  && test -n "`echo $$list1$$list2`" \
  433 	  || exit 0; \
  434 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  435 	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  436 	{ for i in $$list1; do echo "$$i"; done;  \
  437 	if test -n "$$list2"; then \
  438 	  for i in $$list2; do echo "$$i"; done \
  439 	    | sed -n '/\.1[a-z]*$$/p'; \
  440 	fi; \
  441 	} | while read p; do \
  442 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  443 	  echo "$$d$$p"; echo "$$p"; \
  444 	done | \
  445 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  446 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  447 	sed 'N;N;s,\n, ,g' | { \
  448 	list=; while read file base inst; do \
  449 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  450 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  451 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  452 	  fi; \
  453 	done; \
  454 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  455 	while read files; do \
  456 	  test -z "$$files" || { \
  457 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  458 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  459 	done; }
  460 
  461 uninstall-man1:
  462 	@$(NORMAL_UNINSTALL)
  463 	@list=''; test -n "$(man1dir)" || exit 0; \
  464 	files=`{ for i in $$list; do echo "$$i"; done; \
  465 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  466 	  sed -n '/\.1[a-z]*$$/p'; \
  467 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  468 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  469 	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  470 
  471 ID: $(am__tagged_files)
  472 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  473 tags: tags-am
  474 TAGS: tags
  475 
  476 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  477 	set x; \
  478 	here=`pwd`; \
  479 	$(am__define_uniq_tagged_files); \
  480 	shift; \
  481 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  482 	  test -n "$$unique" || unique=$$empty_fix; \
  483 	  if test $$# -gt 0; then \
  484 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  485 	      "$$@" $$unique; \
  486 	  else \
  487 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  488 	      $$unique; \
  489 	  fi; \
  490 	fi
  491 ctags: ctags-am
  492 
  493 CTAGS: ctags
  494 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  495 	$(am__define_uniq_tagged_files); \
  496 	test -z "$(CTAGS_ARGS)$$unique" \
  497 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  498 	     $$unique
  499 
  500 GTAGS:
  501 	here=`$(am__cd) $(top_builddir) && pwd` \
  502 	  && $(am__cd) $(top_srcdir) \
  503 	  && gtags -i $(GTAGS_ARGS) "$$here"
  504 cscope: cscope.files
  505 	test ! -s cscope.files \
  506 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  507 clean-cscope:
  508 	-rm -f cscope.files
  509 cscope.files: clean-cscope cscopelist
  510 cscopelist: cscopelist-am
  511 
  512 cscopelist-am: $(am__tagged_files)
  513 	list='$(am__tagged_files)'; \
  514 	case "$(srcdir)" in \
  515 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  516 	  *) sdir=$(subdir)/$(srcdir) ;; \
  517 	esac; \
  518 	for i in $$list; do \
  519 	  if test -f "$$i"; then \
  520 	    echo "$(subdir)/$$i"; \
  521 	  else \
  522 	    echo "$$sdir/$$i"; \
  523 	  fi; \
  524 	done >> $(top_builddir)/cscope.files
  525 
  526 distclean-tags:
  527 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  528 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  529 
  530 distdir: $(DISTFILES)
  531 	$(am__remove_distdir)
  532 	test -d "$(distdir)" || mkdir "$(distdir)"
  533 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  534 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  535 	list='$(DISTFILES)'; \
  536 	  dist_files=`for file in $$list; do echo $$file; done | \
  537 	  sed -e "s|^$$srcdirstrip/||;t" \
  538 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  539 	case $$dist_files in \
  540 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  541 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  542 			   sort -u` ;; \
  543 	esac; \
  544 	for file in $$dist_files; do \
  545 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  546 	  if test -d $$d/$$file; then \
  547 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  548 	    if test -d "$(distdir)/$$file"; then \
  549 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  550 	    fi; \
  551 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  552 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  553 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  554 	    fi; \
  555 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  556 	  else \
  557 	    test -f "$(distdir)/$$file" \
  558 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  559 	    || exit 1; \
  560 	  fi; \
  561 	done
  562 	-test -n "$(am__skip_mode_fix)" \
  563 	|| find "$(distdir)" -type d ! -perm -755 \
  564 		-exec chmod u+rwx,go+rx {} \; -o \
  565 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  566 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  567 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  568 	|| chmod -R a+r "$(distdir)"
  569 dist-gzip: distdir
  570 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  571 	$(am__post_remove_distdir)
  572 
  573 dist-bzip2: distdir
  574 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  575 	$(am__post_remove_distdir)
  576 
  577 dist-lzip: distdir
  578 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  579 	$(am__post_remove_distdir)
  580 
  581 dist-xz: distdir
  582 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  583 	$(am__post_remove_distdir)
  584 
  585 dist-tarZ: distdir
  586 	@echo WARNING: "Support for distribution archives compressed with" \
  587 		       "legacy program 'compress' is deprecated." >&2
  588 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  589 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  590 	$(am__post_remove_distdir)
  591 
  592 dist-shar: distdir
  593 	@echo WARNING: "Support for shar distribution archives is" \
  594 	               "deprecated." >&2
  595 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  596 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  597 	$(am__post_remove_distdir)
  598 
  599 dist-zip: distdir
  600 	-rm -f $(distdir).zip
  601 	zip -rq $(distdir).zip $(distdir)
  602 	$(am__post_remove_distdir)
  603 
  604 dist dist-all:
  605 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  606 	$(am__post_remove_distdir)
  607 
  608 # This target untars the dist file and tries a VPATH configuration.  Then
  609 # it guarantees that the distribution is self-contained by making another
  610 # tarfile.
  611 distcheck: dist
  612 	case '$(DIST_ARCHIVES)' in \
  613 	*.tar.gz*) \
  614 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  615 	*.tar.bz2*) \
  616 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  617 	*.tar.lz*) \
  618 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  619 	*.tar.xz*) \
  620 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  621 	*.tar.Z*) \
  622 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  623 	*.shar.gz*) \
  624 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  625 	*.zip*) \
  626 	  unzip $(distdir).zip ;;\
  627 	esac
  628 	chmod -R a-w $(distdir)
  629 	chmod u+w $(distdir)
  630 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  631 	chmod a-w $(distdir)
  632 	test -d $(distdir)/_build || exit 0; \
  633 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  634 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  635 	  && am__cwd=`pwd` \
  636 	  && $(am__cd) $(distdir)/_build/sub \
  637 	  && ../../configure \
  638 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  639 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  640 	    --srcdir=../.. --prefix="$$dc_install_base" \
  641 	  && $(MAKE) $(AM_MAKEFLAGS) \
  642 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  643 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  644 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  645 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  646 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  647 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  648 	        distuninstallcheck \
  649 	  && chmod -R a-w "$$dc_install_base" \
  650 	  && ({ \
  651 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  652 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  653 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  654 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  655 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  656 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  657 	  && rm -rf "$$dc_destdir" \
  658 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  659 	  && rm -rf $(DIST_ARCHIVES) \
  660 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  661 	  && cd "$$am__cwd" \
  662 	  || exit 1
  663 	$(am__post_remove_distdir)
  664 	@(echo "$(distdir) archives ready for distribution: "; \
  665 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  666 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  667 distuninstallcheck:
  668 	@test -n '$(distuninstallcheck_dir)' || { \
  669 	  echo 'ERROR: trying to run $@ with an empty' \
  670 	       '$$(distuninstallcheck_dir)' >&2; \
  671 	  exit 1; \
  672 	}; \
  673 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  674 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  675 	  exit 1; \
  676 	}; \
  677 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  678 	   || { echo "ERROR: files left after uninstall:" ; \
  679 	        if test -n "$(DESTDIR)"; then \
  680 	          echo "  (check DESTDIR support)"; \
  681 	        fi ; \
  682 	        $(distuninstallcheck_listfiles) ; \
  683 	        exit 1; } >&2
  684 distcleancheck: distclean
  685 	@if test '$(srcdir)' = . ; then \
  686 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  687 	  exit 1 ; \
  688 	fi
  689 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  690 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  691 	       $(distcleancheck_listfiles) ; \
  692 	       exit 1; } >&2
  693 check-am: all-am
  694 check: check-am
  695 all-am: Makefile $(PROGRAMS) $(MANS) config.h
  696 installdirs:
  697 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
  698 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  699 	done
  700 install: install-am
  701 install-exec: install-exec-am
  702 install-data: install-data-am
  703 uninstall: uninstall-am
  704 
  705 install-am: all-am
  706 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  707 
  708 installcheck: installcheck-am
  709 install-strip:
  710 	if test -z '$(STRIP)'; then \
  711 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  712 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  713 	      install; \
  714 	else \
  715 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  716 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  717 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  718 	fi
  719 mostlyclean-generic:
  720 
  721 clean-generic:
  722 
  723 distclean-generic:
  724 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  725 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  726 
  727 maintainer-clean-generic:
  728 	@echo "This command is intended for maintainers to use"
  729 	@echo "it deletes files that may require special tools to rebuild."
  730 clean: clean-am
  731 
  732 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  733 
  734 distclean: distclean-am
  735 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  736 	-rm -rf ./$(DEPDIR)
  737 	-rm -f Makefile
  738 distclean-am: clean-am distclean-compile distclean-generic \
  739 	distclean-hdr distclean-tags
  740 
  741 dvi: dvi-am
  742 
  743 dvi-am:
  744 
  745 html: html-am
  746 
  747 html-am:
  748 
  749 info: info-am
  750 
  751 info-am:
  752 
  753 install-data-am: install-man
  754 
  755 install-dvi: install-dvi-am
  756 
  757 install-dvi-am:
  758 
  759 install-exec-am: install-binPROGRAMS
  760 
  761 install-html: install-html-am
  762 
  763 install-html-am:
  764 
  765 install-info: install-info-am
  766 
  767 install-info-am:
  768 
  769 install-man: install-man1
  770 
  771 install-pdf: install-pdf-am
  772 
  773 install-pdf-am:
  774 
  775 install-ps: install-ps-am
  776 
  777 install-ps-am:
  778 
  779 installcheck-am:
  780 
  781 maintainer-clean: maintainer-clean-am
  782 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  783 	-rm -rf $(top_srcdir)/autom4te.cache
  784 	-rm -rf ./$(DEPDIR)
  785 	-rm -f Makefile
  786 maintainer-clean-am: distclean-am maintainer-clean-generic
  787 
  788 mostlyclean: mostlyclean-am
  789 
  790 mostlyclean-am: mostlyclean-compile mostlyclean-generic
  791 
  792 pdf: pdf-am
  793 
  794 pdf-am:
  795 
  796 ps: ps-am
  797 
  798 ps-am:
  799 
  800 uninstall-am: uninstall-binPROGRAMS uninstall-man
  801 
  802 uninstall-man: uninstall-man1
  803 
  804 .MAKE: all install-am install-strip
  805 
  806 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  807 	clean-binPROGRAMS clean-cscope clean-generic cscope \
  808 	cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  809 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  810 	distcheck distclean distclean-compile distclean-generic \
  811 	distclean-hdr distclean-tags distcleancheck distdir \
  812 	distuninstallcheck dvi dvi-am html html-am info info-am \
  813 	install install-am install-binPROGRAMS install-data \
  814 	install-data-am install-dvi install-dvi-am install-exec \
  815 	install-exec-am install-html install-html-am install-info \
  816 	install-info-am install-man install-man1 install-pdf \
  817 	install-pdf-am install-ps install-ps-am install-strip \
  818 	installcheck installcheck-am installdirs maintainer-clean \
  819 	maintainer-clean-generic mostlyclean mostlyclean-compile \
  820 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  821 	uninstall-am uninstall-binPROGRAMS uninstall-man \
  822 	uninstall-man1
  823 
  824 .PRECIOUS: Makefile
  825 
  826 
  827 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  828 # Otherwise a system limit (for SysV at least) may be exceeded.
  829 .NOEXPORT: